import request from '@/utils/request'


//表格数据
export function ydayList(parms) {
    return request({
        url: '/flow/order/yday',
        method: 'get',
        params: parms
    })
}

//本周
export function weekList(parms) {
    return request({
        url: '/flow/order/week',
        method: 'get',
        params: parms
    })
}


//本月
export function monthList(parms) {
    return request({
        url: '/flow/order/month',
        method: 'get',
        params: parms
    })
}

//本季度
export function quarterList(parms) {
    return request({
        url: '/flow/order/quarter',
        method: 'get',
        params: parms
    })
}

//自定义
export function customList(parms) {
    return request({
        url: '/flow/order/custom',
        method: 'get',
        params: parms
    })
}

//查询用户锁关联的公司
export function Listarea(parms){
    return request({
        url:"/customer/info",
        method:"get",
        params:parms
    })
}

//查看
export function lookOrder(parms){
    return request({
        url:"/flow/order/list",
        method:"get",
        params:parms
    })
}





// 获取趋势图数据

export function getList(parms) {
    return request({
        url: '/flow/order/seven',
        method: 'get',
        params: parms
    })
}


export function month(parms){
    return request({
        url:"/stati/month",
        method:"get",
        params:parms
    })
}

export function day(parms){
    return request ({
        url:"/stati/day",
        method:"get",
        params:parms
    })
}

export function all(parms){
    return request({
        url:"/stati/all",
        method:"get",
        params:parms
    })
}

//"新增"区
// export function Listarea(data){
//     return request({
//         url:"/area/info",
//         method:"get",
//         params:data
//     })
// }

export function areaId(id,data){
    return request({
        url:"/area/areaId/" + id,
        method:"get",
        data:data
    })
}

export function oncity(id,type,data){
    return request({
        url:"/area/areaId/" + id + "/" +  type,
        method:"get",
        data:data
    })
}

export function datahouse(id,type,data){
    return request({
        url:"/stage/areaId/" + id + "/" +  type + "/areaId",
        method:"get",
        params:data
    })
}